//
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
//
// duff.h
//
// Duff's Device
//
// $Id: $
//

#ifndef _DUFF_H_
#define _DUFF_H_

// duff's device
#define  DUFF(count, transfer) \
{                                      \
   register int n = (count + 7) / 8;   \
   switch (count % 8)                  \
   {                                   \
   case 0:  do {  { transfer; }        \
   case 7:        { transfer; }        \
   case 6:        { transfer; }        \
   case 5:        { transfer; }        \
   case 4:        { transfer; }        \
   case 3:        { transfer; }        \
   case 2:        { transfer; }        \
   case 1:        { transfer; }        \
            } while (--n > 0);         \
   }                                   \
}

#endif // !_DUFF_H_
