//
// machine.h
//
// base machine type
//
// Copyright (C) 2002 Matthew Conte
//

#ifndef _MACHINE_H_
#define _MACHINE_H_

class machine
{
public:
   machine();
   virtual ~machine();

   virtual void run();
   virtual void reset(bool hardReset = false);
   virtual void setThrottle(bool throttle);
   virtual void triggerInput(int device, int data, bool state);
   virtual void saveState();
   virtual void loadState();

protected:
   bool  mThrottle;
};

#endif // !_MACHINE_H_
