//
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
//
//
// scanline.h
//
// scanline expansion
//
// $Id: $
//

#ifndef _SCANLINE_H_
#define _SCANLINE_H_

#include "typedefs.h"

extern "C" void scan_expand_1(uint8 *pDdest, const uint8 *pSrc, uint8 *pPalette, int count);
extern "C" void scan_expand_2(uint16 *pDest, const uint8 *pSrc, uint16 *pPalette, int count);
extern "C" void scan_expand_3(uint8 *pDest, const uint8 *pSrc, uint32 *pPalette, int count);
extern "C" void scan_expand_4(uint32 *pDest, const uint8 *pSrc, uint32 *pPalette, int count);
extern "C" void scan_expand_2x_1(uint8 *pDdest, const uint8 *pSrc, uint8 *pPalette, int count);
extern "C" void scan_expand_2x_2(uint16 *pDest, const uint8 *pSrc, uint16 *pPalette, int count);
extern "C" void scan_expand_2x_3(uint8 *pDest, const uint8 *pSrc, uint32 *pPalette, int count);
extern "C" void scan_expand_2x_4(uint32 *pDest, const uint8 *pSrc, uint32 *pPalette, int count);

#endif // !_SCANLINE_H_
