//
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
//
//
// main.cpp
//
// main entry for emulator
//
// $Id: $
//

#include <iostream>
#include "machine.h"
#include "nes.h"
#include "version"

// sdl == bad
#ifdef __cplusplus
extern "C"
#endif
int main(int argc, char *argv[])
{
   if (argc != 2)
   {
      std::cerr << APPNAME << " v" << VERSION << std::endl;
      std::cerr << "usage: " << APPNAME << " romfile" << std::endl;
      return -1;
   }

   machine *pNES = new NES(argv[1]);
   pNES->run();
   delete pNES;

   return 0;
}
