//
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
//
//
// map001.h
//
// mapper 1 definition
//
// $Id: $
//

#ifndef _MAP001_H_
#define _MAP001_H_

#include "mmc.h"

class map001 : public mmc
{
public:
   map001(machine *pMachine, mapperInfo *pInfo);

   void getState(SnssMapperBlock *pState);
   void setState(SnssMapperBlock *pState);

   void reset(bool hard_reset);

   static void dispatchWrite(void *userdata, uint32 offset, uint8 value);

protected:
   uint8 mRegs[4];
   int   mBitCount;
   uint8 mLatch;
   uint8 mLastReg;
   int   mBankSelect;

   void  resetRegs();

   void  write(uint32 offset, uint8 value);
};

#endif // !_MAP001_H_
