/*
// shatbox (C) 2002 Matthew Conte (matt@conte.com)
**
**
** unif.cpp
**
** UNIF format image handling
**
** $Id: $
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "typedefs.h"
#include "cart.h"


bool cart::isUNIF(const char *pFilename)
{
   FILE *fp;
   char id[5];
   
   fp = fopen(pFilename, "rb");
   if (NULL == fp)
      return false;

   if (fread(id, 4, 1, fp) < 1)
   {
      fclose(fp);
      return false;
   }

   fclose(fp);

   if (0 == strncmp("UNIF", id, 4))
      return true;

   return false;
}


int cart::loadUNIF()
{
   return -1;
}
